Subject: [bug#49357] [PATCH] gnu darktable update to 3.6.0

From: John Kehayias <[email-masked]>
Date: Sun, 04 Jul 2021 00:38:29 +0000

Thanks, did not catch those. For LLVM, I don't think Darktable cares about version, as this commit just shows they added v12 since it was reported to work: https://github.com/darktable-org/darktable/commit/4215f9995fdcc308eb9c6769b839ffac83ded5d9

As for OpenEXR, I have not tested it nor used that feature in the past. I just tried and "darktable --version" does show OpenEXR support. Also, it does export a photo with openexr without complaint and I can open it (I just tried in Gimp).

It seems like moving to openexr 3 should be done to address security issues: https://issues.guix.gnu.org/47509 This looks like it may involve patching many of the dependent packages, based on what I see in Arch (which only has openexr 3 and numerous small patches, though looked easy enough).

So I think this update to Darktable is okay, but we should move to openexr 3 for everything due to #47509. How does that sound to you?